Bug 64350 - : [FILEOPEN] [FILESAVE] DOCX loads with border looking different and when saving to DOCX changes borders
Summary: : [FILEOPEN] [FILESAVE] DOCX loads with border looking different and when sav...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Adam CloudOn
QA Contact:
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-08 08:24 UTC by Adam CloudOn
Modified: 2013-07-30 12:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing borders with shading (11.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-05-08 08:24 UTC, Adam CloudOn
Details
ODT file to test the export to DOCX (7.39 KB, application/vnd.oasis.opendocument.text)
2013-06-05 12:23 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-05-08 08:24:37 UTC
Created attachment 79016 [details]
DOCX containing borders with shading

Problem description: 
When loading a DOCX with a page with shaded-borders - LO shows the page with different borders and no shading to the borders.
Also - when saving it as DOCX - and opening it in Word - the page's borders are located in a different margin from the page edges and the borders have no shading.

Steps to reproduce:
1. Load attached DOCX in LO
2. Page has borders that look different and no shading to borders.
4. Save to NEW.DOCX
5. Load NEW.DOCX in Word
6. Page has borders in different location from edges, and no shading to borders.

Current behavior:
LO loads DOCX with borders looking different (no shading).
LO saves to new DOCX and loses border position and border shading.

Expected behavior:
LO should load the DOCX and show the borders like Word.
LO should save the DOCX to a NEW.DOCX, without losing the border position and border shading.
Operating System: Windows 8
Version: 4.0.2.2 release
Comment 1 Thomas van der Meulen 2013-05-09 08:33:52 UTC
Thank you for your bug report, I can confirm this bug running LibreOffice 4.0.3.3 on Mac os x 10.8.3. I can see that there is no shading but I have no Word to test is there but I trust you, wen I save the file is indeed moved inside.
Comment 2 Adam CloudOn 2013-06-05 12:23:30 UTC
Created attachment 80340 [details]
ODT file to test the export to DOCX

ODT file to test the export to DOCX
Comment 3 Commit Notification 2013-06-06 08:02:32 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=408d060dff4737d5468e7ff04035f1674a923198

fdo#64350: fix for DOCX export of border space



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Adam CloudOn 2013-06-06 08:33:08 UTC
The above patch fixes the DOCX Export side.

DOCX Import is still not working (working on this).
Comment 5 Commit Notification 2013-07-30 12:10:31 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86166dea7e300d8aee42f141db1c533648254e6c

fdo#64350: fix for page border shadow export



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.